## debconf-kde 1.1.0-1build3trisquel1

=== debian/changelog ===
debconf-kde (1.1.0-1build3trisquel1) ecne; urgency=medium

  * Patch package to pass HOME to prevent dialog for every request.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 03 Jun 2025 01:13:58 +0000

debconf-kde (1.1.0-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 19:35:13 +0100

debconf-kde (1.1.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:19 +0000

debconf-kde (1.1.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:11:17 +0000

=== debian/control ===
Source: debconf-kde
Section: kde
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Matthias Klumpp <mak@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.5.0),
               gettext,
               libkf5coreaddons-dev (>= 5.0.0),
               libkf5i18n-dev (>= 5.0.0),
               libkf5iconthemes-dev (>= 5.0.0),
               libkf5textwidgets-dev (>= 5.0.0),
               libkf5widgetsaddons-dev (>= 5.0.0),
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.2.0),
Standards-Version: 4.6.0
Homepage: https://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/debconf-kde.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/debconf-kde
Rules-Requires-Root: no

Package: debconf-kde-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Debconf KDE data files
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains the data files needed by the Debconf KDE library

Package: debconf-kde-helper
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debconf KDE GUI frontend tool
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains a small standalone tool to display a KDE Debconf
 dialog without linking against the Debconf KDE library.

Package: libdebconf-kde-dev
Section: libdevel
Architecture: any
Depends: libdebconf-kde1 (= ${binary:Version}),
         libkf5coreaddons-dev,
         libkf5i18n-dev,
         libkf5iconthemes-dev,
         libkf5textwidgets-dev,
         libkf5widgetsaddons-dev,
         qtbase5-dev (>= 5.2.0),
         ${misc:Depends},
Description: Development headers for the Debconf KDE library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains the development headers for the Debconf KDE library

Package: libdebconf-kde1
Section: libs
Architecture: any
Multi-Arch: same
Depends: debconf-kde-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Debconf KDE GUI library
 Debconf KDE is a GUI library for including Debconf frontends in Qt-based
 applications.
 Debconf is a configuration management system for Debian packages, which
 is used to ask questions when they are installed.
 This library is written in C++ and used by Apper and Muon to
 embed Debconf dialogs.
 .
 This package contains the Debconf KDE library

## debconf-kde 1.1.0-1+11.0trisquel1

=== debian/changelog ===
debconf-kde (1.1.0-1+11.0trisquel1) aramo; urgency=medium

  * Patch package to pass HOME to prevent dialog for every request.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 03 Jun 2025 05:05:14 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: kde
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.1~),

## debconf-kde 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
cmake_policy(SET CMP0048 NEW)

if (POLICY CMP0043)
  cmake_policy(SET CMP0043 NEW)
endif()
if (POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()

project(libdebconf-kde VERSION 1.2.0)

set(QT_MIN_VERSION "6.4.0")
set(KF_MIN_VERSION "6.12.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(ECMSetupVersion)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)

set(REQUIRED_QT_VERSION "${QT_MIN_VERSION}") # Used in CMakeConfig to check deps

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    COMPONENTS
        Widgets
        Network
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    COMPONENTS
        CoreAddons
        I18n
        IconThemes
        TextWidgets
        WidgetsAddons
)

if(ECM_VERSION VERSION_GREATER 1.5.0)
    # >1.5 has an optional compatibility option for the package version file.
    # TODO: bump dep and remove this check once 1.7 is out.
    set(VERSION_COMPAT_OPTION COMPATIBILITY SameMajorVersion)
endif()
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX DEBCONF
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/DebconfVersion.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/DebconfKDEConfigVersion.cmake"
        ${VERSION_COMPAT_OPTION}
)

add_definitions(-DPROJECT_VERSION=\"${PROJECT_VERSION}\")
add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/DebconfKDE")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/DebconfKDEConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/DebconfKDEConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/DebconfKDEConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/DebconfKDEConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)
install(EXPORT DebconfKDETargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE DebconfKDETargets.cmake
        NAMESPACE DebconfKDE::)

add_subdirectory(src)
add_subdirectory(tools)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
set(libdebconf_SRCS
    debconf.cpp
    DebconfElement.cpp
    DebconfBoolean.cpp
    DebconfError.cpp
    DebconfMultiselect.cpp
    DebconfNote.cpp
    DebconfPassword.cpp
    DebconfProgress.cpp
    DebconfSelect.cpp
    DebconfString.cpp
    DebconfText.cpp
    DebconfGui.cpp
    Debug.cpp)

ki18n_wrap_ui(libdebconf_SRCS
    DebconfBoolean.ui
    DebconfError.ui
    DebconfMultiselect.ui
    DebconfNote.ui
    DebconfPassword.ui
    DebconfProgress.ui
    DebconfSelect.ui
    DebconfString.ui
    DebconfText.ui
    DebconfGui.ui)

add_definitions(-DTRANSLATION_DOMAIN=\"libdebconf-kde\")
add_library(debconf-kde SHARED ${libdebconf_SRCS})
add_library(DebconfKDE::Main ALIAS debconf-kde)
target_link_libraries(debconf-kde
    PUBLIC
        Qt6::Widgets
    PRIVATE
        Qt6::Network
        KF6::CoreAddons
        KF6::I18n
        KF6::IconThemes
        KF6::TextWidgets
        KF6::WidgetsAddons
)
generate_export_header(debconf-kde)

target_include_directories(debconf-kde INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/DebconfKDE>")

set_target_properties(debconf-kde
    PROPERTIES
        VERSION ${PROJECT_VERSION}
        SOVERSION ${DEBCONF_SOVERSION}
        EXPORT_NAME Main)

install(TARGETS debconf-kde EXPORT DebconfKDETargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES DebconfGui.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/DebconfKDE)

=== tools/CMakeLists.txt ===
add_executable(debconf-kde-helper main.cpp)
target_link_libraries(debconf-kde-helper
    KF6::CoreAddons
    KF6::I18n
    DebconfKDE::Main
)

# Clients should expect the helper in /usr/libexec when installed system-wide,
# and most do. However for backwards-compatibility we install it in /usr/bin
# even though it isn't a tool users usually would want to run.
install(TARGETS debconf-kde-helper ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
debconf-kde (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Update watch file for the new tarballs location.
  * Add a simple debian/upstream/metadata file.
  * Re-export upstream signing key without extra signatures.
  * Remove inactive Uploaders.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 6.4.0
    - bump KF packages to 6.12.0
  * Modernize building:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * CI: update/simplify configuration.
  * Switch Homepage to the current location of the sources, i.e.
    https://invent.kde.org/system/libdebconf-kde.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit 4f4d201b7a6784461857effdc95d0266f957430a to install
    the generated debconf-kde_export.h, needed by the public headers; patch
    upstream_fix-install-debconf-kde_export.h.patch
    - update libdebconf-kde-dev.install accordingly

 -- Pino Toscano <pino@debian.org>  Sat, 25 Oct 2025 10:41:20 +0200

debconf-kde (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
    - Port to Qt6 (with improved Wayland support) (Closes: #927060)
  * Bump standards version (No changes needed)
  * Drop debconf-kde-dbg transition helper
  * Update build dependencies
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Mon, 20 Oct 2025 22:58:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,24 @@
 Source: debconf-kde
 Section: kde
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Matthias Klumpp <mak@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 3.1~),
-               debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.5.0),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16),
+               extra-cmake-modules (>= 6.12.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.0.0),
-               libkf5i18n-dev (>= 5.0.0),
-               libkf5iconthemes-dev (>= 5.0.0),
-               libkf5textwidgets-dev (>= 5.0.0),
-               libkf5widgetsaddons-dev (>= 5.0.0),
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.2.0),
-Standards-Version: 4.6.0
-Homepage: https://projects.kde.org/projects/extragear/sysadmin/libdebconf-kde
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6iconthemes-dev (>= 6.12.0~),
+               libkf6textwidgets-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
+               qt6-base-dev (>= 6.4.0~),
+Standards-Version: 4.7.2
+Homepage: https://invent.kde.org/system/libdebconf-kde
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/debconf-kde.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/debconf-kde
-Rules-Requires-Root: no
 
 Package: debconf-kde-data
 Architecture: all
@@ -37,7 +36,8 @@
 
 Package: debconf-kde-helper
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Debconf KDE GUI frontend tool
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -53,13 +53,8 @@
 Section: libdevel
 Architecture: any
 Depends: libdebconf-kde1 (= ${binary:Version}),
-         libkf5coreaddons-dev,
-         libkf5i18n-dev,
-         libkf5iconthemes-dev,
-         libkf5textwidgets-dev,
-         libkf5widgetsaddons-dev,
-         qtbase5-dev (>= 5.2.0),
-         ${misc:Depends},
+         qt6-base-dev,
+         ${misc:Depends}
 Description: Development headers for the Debconf KDE library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.
@@ -76,7 +71,7 @@
 Multi-Arch: same
 Depends: debconf-kde-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Debconf KDE GUI library
  Debconf KDE is a GUI library for including Debconf frontends in Qt-based
  applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

=== debian/tests/control ===
Tests: acc
Depends: dh-acc,
         exuberant-ctags,
         @
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/libdebconf-kde/libdebconf-kde-([\d.]+)\.tar\.xz

## debconf-kde 1.2.0+p24.04+vrelease+git20251029.1228

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vrelease+git20251029.1228-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 12:28:16 +0000

debconf-kde (1.2.0-neon0) unstable; urgency=medium

  * new release

 -- Carlos De Maine <carlosd.kde@gmail.org>  Wed, 29 Oct 2025 22:26:18 +1000

## debconf-kde 1.2.0+p24.04+vrelease+git20251203.0056

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vrelease+git20251203.0056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:56:40 +0000

## debconf-kde 1.2.0+p24.04+vrelease+git20251220.0042

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vrelease+git20251220.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 00:42:25 +0000

## debconf-kde 1.2.0+p24.04+vstable+git20251029.1228

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
   cmake_policy(SET CMP0063 NEW)
 endif()
 
-project(libdebconf-kde VERSION 1.2.0)
+project(libdebconf-kde VERSION 1.2.1)
 
 set(QT_MIN_VERSION "6.4.0")
 set(KF_MIN_VERSION "6.12.0")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,9 @@
         KF6::TextWidgets
         KF6::WidgetsAddons
 )
-generate_export_header(debconf-kde)
+generate_export_header(debconf-kde
+    EXPORT_FILE_NAME
+        "${CMAKE_CURRENT_BINARY_DIR}/debconf-kde_export.h")
 
 target_include_directories(debconf-kde INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/DebconfKDE>")
 
@@ -50,5 +52,5 @@
         EXPORT_NAME Main)
 
 install(TARGETS debconf-kde EXPORT DebconfKDETargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-install(FILES DebconfGui.h
+install(FILES DebconfGui.h "${CMAKE_CURRENT_BINARY_DIR}/debconf-kde_export.h"
     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/DebconfKDE)

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vstable+git20251029.1228-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 12:28:19 +0000

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/libdebconf-kde/([\d.]+)/src/libdebconf-kde-([\d.]+)\.tar\.xz

## debconf-kde 1.2.0+p24.04+vstable+git20251123.1811

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vstable+git20251123.1811-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 18:11:50 +0000

## debconf-kde 1.2.0+p24.04+vstable+git20251222.0235

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vstable+git20251222.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 02:35:51 +0000

## debconf-kde 1.2.0+p24.04+vunstable+git20251220.0230

=== debian/changelog ===
debconf-kde (1.2.0+p24.04+vunstable+git20251220.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Dec 2025 02:30:42 +0000
